# Method: accessPolicies.list

- [HTTP request](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1/accessPolicies/list#body.HTTP_TEMPLATE)
- [Query parameters](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1/accessPolicies/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1/accessPolicies/list#body.request_body)
- [Response body](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1/accessPolicies/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1/accessPolicies/list#body.ListAccessPoliciesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1/accessPolicies/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1/accessPolicies/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1/accessPolicies/list#try-it)

Lists all `https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1/accessPolicies#AccessPolicy` in an organization.

### HTTP request

`GET https://accesscontextmanager.googleapis.com/v1/accessPolicies`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name for the container to list AccessPolicy instances from. Format: `organizations/{org_id}` |
| `pageSize` | `integer` Number of AccessPolicy instances to include in the list. Default 100. |
| `pageToken` | `string` Next page token for the next batch of AccessPolicy instances. Defaults to the first page of results. |

### Request body

The request body must be empty.

### Response body

A response to `ListAccessPoliciesRequest`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accessPolicies": [ { object (`https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1/accessPolicies#AccessPolicy`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `accessPolicies[]` | ``object (`https://docs.cloud.google.com/access-context-manager/docs/reference/rest/v1/accessPolicies#AccessPolicy`)`` List of the AccessPolicy instances. |
| `nextPageToken` | `string` The pagination token to retrieve the next page of results. If the value is empty, no further results remain. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `accesscontextmanager.policies.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).